Skip to main content

Send Revoke REST API Endpoint

Loading...

Updated on
Feb 27, 2026

Send Revoke REST API Endpoint

Parameters

Body Parameters

action
object
REQUIRED
Loading...
type
string
Loading...
maxFeeRate
string
Loading...
nonce
integer
REQUIRED
Loading...
signature
object
REQUIRED
Loading...
r
string
Loading...
s
string
Loading...
v
integer
Loading...

Returns

revoked
boolean
Loading...
builder
string
Loading...
user
string
Loading...
message
string
Loading...
exchangeResponse
object
Loading...
Request
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "approveBuilderFee",
6
"maxFeeRate": "0%"
7
},
8
"nonce": 1234567890,
9
"signature": {
10
"r": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
11
"s": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
12
"v": 28
13
}
14
}'
15
1
curl -s -X POST https://docs-demo.hype-mainnet.quiknode.pro/hypercore/exchange \
2
-H "Content-Type: application/json" \
3
-d '{
4
"action": {
5
"type": "approveBuilderFee",
6
"maxFeeRate": "0%"
7
},
8
"nonce": 1234567890,
9
"signature": {
10
"r": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
11
"s": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
12
"v": 28
13
}
14
}'
15
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free